
diary('main_all.txt');     % 日志文件

close all;
clear;
clc;

%% 复现正文表1-表2、图2-图8以及在线附录《附录I  正文补充内容》相关结果
path_main = 'F:\Replication';
cd([path_main, filesep, 'Baseline']);
main_Baseline

%% 复现附录《附录III  稳健性检验：考虑国内外原始数据的异质性》
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_rho\rho5']);
main_Robust_rho5
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_rho\rho7']);
main_Robust_rho7
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_rho\rho9']);
main_Robust_rho9
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_rho']);
Tables_Robust_rho

%% 复现附录《附录IV  稳健性检验：关于原始数据跨境流动政策的不同设定》
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_rawData']);
main_Robust_rawData

%% 复现附录《附录V  稳健性检验：原始数据作为生产的副产品》
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_productionData']);
main_Robust_productionData

%% 复现附录《附录VI  稳健性检验：考虑国内外加工数据的异质性或者加工数据政策限制》
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_chi\chi5']);
main_Robust_chi5
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_chi\chi7']);
main_Robust_chi7
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_chi\chi9']);
main_Robust_chi9
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_chi']);
Tables_Robust_chi

%% 用于复现附录《附录VII  稳健性检验：考虑加工数据在国家间不能自由流动时的竞争模式》
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_workingData']);
main_Robust_workingData

%% 复现附录《附录VIII  稳健性检验：数据中间商市场结构为寡头模式与垄断模式》
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_oligopoly']);
main_Robust_oligopoly

%% 复现附录《附录IX  稳健性检验：考虑原始数据分享下的隐私成本负外部性》
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_privacy\zeta2']);
main_Robust_privacy2
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_privacy\zeta10']);
main_Robust_privacy10
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_privacy\zeta100']);
main_Robust_privacy100
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_privacy']);
Tables_Robust_privacy

%% 复现附录《附录X  稳健性检验：考虑贸易不平衡》
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_unbalancedTrade']);
main_Robust_unbalancedTrade

%% 复现附录《附录XI  稳健性检验：考虑计价物部门》
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_non-manufacturing\alpha7']);
main_Robust_nonManufacturing7
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_non-manufacturing\alpha8']);
main_Robust_nonManufacturing8
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_non-manufacturing\alpha9']);
main_Robust_nonManufacturing9
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_non-manufacturing']);
Tables_Robust_nonManufacturing

%% 复现附录《附录XII  稳健性检验：从数据中校准模型关键参数》
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_Params']);
main_Robust_Params

%% 复现附录《附录XIII  稳健性检验：加工数据替代弹性》
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_o\o2']);
main_Robust_o2
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_o\o3']);
main_Robust_o3
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_o\o7']);
main_Robust_o7
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_o\o9']);
main_Robust_o9
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_o']);
Tables_Robust_o

%% 复现附录《附录XIV  稳健性检验：生产函数中加工数据份额》
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_beta']);
main_Robust_beta

%% 复现附录《附录XV  稳健性检验：商品部门为完全竞争市场》
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_cp']);
main_Robust_cp

%% 复现附录《附录XVI  稳健性检验：垄断模式下数据中间商市场势力》
path_main = 'F:\Replication';
cd([path_main, filesep, 'Robust_mu']);
main_Robust_mu

diary off;